summaryrefslogtreecommitdiffstats
path: root/source/n/ntp/ntp.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/ntp/ntp.SlackBuild')
-rwxr-xr-xsource/n/ntp/ntp.SlackBuild57
1 files changed, 48 insertions, 9 deletions
diff --git a/source/n/ntp/ntp.SlackBuild b/source/n/ntp/ntp.SlackBuild
index 93ff1ee82..b8d4d3638 100755
--- a/source/n/ntp/ntp.SlackBuild
+++ b/source/n/ntp/ntp.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,11 +20,20 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-VERSION=4.2.4p7
-ARCH=${ARCH:-x86_64}
+PKGNAM=ntp
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i486" ]; then
@@ -33,6 +42,8 @@ elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
CWD=$(pwd)
@@ -45,6 +56,9 @@ cd $TMP
rm -rf ntp-${VERSION}*
tar xvf $CWD/ntp-${VERSION}*.tar.?z* || exit 1
cd ntp-${VERSION}* || exit 1
+
+zcat $CWD/ntp.nano.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 2777 -o -perm 2755 \) \
@@ -61,12 +75,13 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--bindir=/usr/sbin \
--sbindir=/usr/sbin \
+ --mandir=/usr/man \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
+make -i install DESTDIR=$PKG || exit 1
# Since the Makefile's install pays no heed to the --bindir settings,
# we'll move things to where they've always been ourselves:
@@ -95,13 +110,37 @@ cp -a util/README $PKG/usr/doc/ntp-$VERSION/util
mkdir $PKG/usr/doc/ntp-$VERSION/ntpdate
cp -a ntpdate/README $PKG/usr/doc/ntp-$VERSION/ntpdate
( cd $PKG/usr/doc/ntp-$VERSION
- find . -type d -name .deps -exec rm -rf {} \; 2> /dev/null
+ find . -name ".deps*" -exec rm -rf "{}" \; 2> /dev/null
)
-find $PKG | xargs file | grep -e "executable" -e "shared object" \
- | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
-gzip -9 $PKG/usr/man/man?/*.?
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc